package com.example.union_ad_ssgf.event


class AdErrorEvent(posId: String?, adId: String?, viewId: Int?, errCode: Int, errMsg: String?) :
    AdEvent(posId, adId, viewId, AdEventAction.onAdError) {
    // 错误码
    private var errCode = 0

    // 错误信息
    private var errMsg: String? = null

    // 错误事件实体
    init {
        this.errMsg = errMsg
        this.errCode = errCode
    }

    /**
     * 重写 toMap 方法
     * @return 返回错误事件的map
     */
    override fun toMap(): HashMap<String, Any?> {
        val newMap = super.toMap()
        newMap["errCode"] = errCode
        newMap["errMsg"] = errMsg
        return newMap
    }
}