package com.example.union_ad_ssgf.load

import com.qq.e.ads.nativ.NativeExpressADView


/**
 * 信息流广告管理
 */
class FeedAdManager {
    private val TAG = FeedAdManager::class.java.getSimpleName()

    companion object {
        // 信息流广告管理类对象
        private var _instance: FeedAdManager? = null

        @Synchronized
        fun getInstance(): FeedAdManager? {
            if (_instance == null) {
                synchronized(FeedAdManager::class.java) { _instance = FeedAdManager() }
            }
            return _instance
        }
    }

    // 信息流广告列表
    private val feedAdList: MutableMap<Int, NativeExpressADView> = HashMap()

    /**
     * 添加广告渲染对象
     *
     * @param key 广告缓存id
     * @param ad  广告渲染对象
     */
    fun putAd(key: Int, ad: NativeExpressADView) {
        feedAdList[key] = ad
    }

    /**
     * 获取广告渲染对象
     *
     * @param key 广告缓存 id
     * @return 广告渲染对象
     */
    fun getAd(key: Int): NativeExpressADView? {
        return feedAdList[key]
    }

    /**
     * 删除广告渲染对象
     *
     * @param key 广告缓存id
     * @return 广告渲染对象
     */
    fun removeAd(key: Int): NativeExpressADView? {
        return feedAdList.remove(key)
    }
}