import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'union_ad_ssgf_platform_interface.dart';

/// An implementation of [UnionAdSsgfPlatform] that uses method channels.
class MethodChannelUnionAdSsgf extends UnionAdSsgfPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('union_ad_ssgf_method');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
