import 'package:flutter_test/flutter_test.dart';
import 'package:union_ad_ssgf/union_ad_ssgf.dart';
import 'package:union_ad_ssgf/union_ad_ssgf_platform_interface.dart';
import 'package:union_ad_ssgf/union_ad_ssgf_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockUnionAdSsgfPlatform
    with MockPlatformInterfaceMixin
    implements UnionAdSsgfPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final UnionAdSsgfPlatform initialPlatform = UnionAdSsgfPlatform.instance;

  test('$MethodChannelUnionAdSsgf is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelUnionAdSsgf>());
  });

  test('getPlatformVersion', () async {
    UnionAdSsgf unionAdSsgfPlugin = UnionAdSsgf();
    MockUnionAdSsgfPlatform fakePlatform = MockUnionAdSsgfPlatform();
    UnionAdSsgfPlatform.instance = fakePlatform;

    expect(await unionAdSsgfPlugin.getPlatformVersion(), '42');
  });
}
